//$HeadURL: https://svn.wald.intevation.org/svn/deegree/base/branches/2.3_testing/src/org/deegree/portal/standard/sos/Constants.java $

/*----------------------------------------------------------------------------
 This file is part of deegree, http://deegree.org/
 Copyright (C) 2001-2009 by:
   Department of Geography, University of Bonn
 and
   lat/lon GmbH

 This library is free software; you can redistribute it and/or modify it under
 the terms of the GNU Lesser General Public License as published by the Free
 Software Foundation; either version 2.1 of the License, or (at your option)
 any later version.
 This library is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 details.
 You should have received a copy of the GNU Lesser General Public License
 along with this library; if not, write to the Free Software Foundation, Inc.,
 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

 Contact information:

 lat/lon GmbH
 Aennchenstr. 19, 53177 Bonn
 Germany
 http://lat-lon.de/

 Department of Geography, University of Bonn
 Prof. Dr. Klaus Greve
 Postfach 1147, 53001 Bonn
 Germany
 http://www.geographie.uni-bonn.de/deegree/

 e-mail: info@deegree.org
----------------------------------------------------------------------------*/
package org.deegree.portal.standard.sos;

/**
 * Constants for SOSClient.
 *
 * @author <a href="mailto:che@wupperverband.de.de">Christian Heier</a>
 * @author last edited by: $Author: mays$
 *
 * @version $Revision: 18195 $, $Date: 28.05.2008 17:08:16$
 */
public class Constants {

    private Constants(){
        // prevent instantiation
    }

    /**
     * Comment for <code>TYPENAME</code>
     */
    public static final String TYPENAME = "TypeName";

    /**
     * Comment for <code>PLATFORMDESCRIPTION</code>
     */
    public static final String PLATFORMDESCRIPTION = "PlatformDescription";

    /**
     * Comment for <code>SENSORDESCRIPTION</code>
     */
    public static final String SENSORDESCRIPTION = "SensorDescription";

    /**
     * Comment for <code>OBSERVATION_DATA</code>
     */
    public static final String OBSERVATION_DATA = "ObservationData";

}
