//$HeadURL: https://svn.wald.intevation.org/svn/deegree/base/branches/2.3_testing/src/org/deegree/portal/Constants.java $
/*----------------------------------------------------------------------------
 This file is part of deegree, http://deegree.org/
 Copyright (C) 2001-2009 by:
   Department of Geography, University of Bonn
 and
   lat/lon GmbH

 This library is free software; you can redistribute it and/or modify it under
 the terms of the GNU Lesser General Public License as published by the Free
 Software Foundation; either version 2.1 of the License, or (at your option)
 any later version.
 This library is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 details.
 You should have received a copy of the GNU Lesser General Public License
 along with this library; if not, write to the Free Software Foundation, Inc.,
 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

 Contact information:

 lat/lon GmbH
 Aennchenstr. 19, 53177 Bonn
 Germany
 http://lat-lon.de/

 Department of Geography, University of Bonn
 Prof. Dr. Klaus Greve
 Postfach 1147, 53001 Bonn
 Germany
 http://www.geographie.uni-bonn.de/deegree/

 e-mail: info@deegree.org
----------------------------------------------------------------------------*/
package org.deegree.portal;

/**
 *
 * @author administrator
 */
public interface Constants {
    /**
     * Comment for <code>RPC_BBOX</code>
     */
    String RPC_BBOX = "boundingBox";

    /**
     * Comment for <code>RPC_BBOXMAXX</code>
     */
    String RPC_BBOXMAXX = "maxx";

    /**
     * Comment for <code>RPC_BBOXMAXY</code>
     */
    String RPC_BBOXMAXY = "maxy";

    /**
     * Comment for <code>RPC_BBOXMINX</code>
     */
    String RPC_BBOXMINX = "minx";

    /**
     * Comment for <code>RPC_BBOXMINY</code>
     */
    String RPC_BBOXMINY = "miny";

    /**
     * Comment for <code>RPC_ID</code>
     */
    String RPC_ID = "ID";

    /**
     * Comment for <code>RPC_IDENTIFIER</code>
     */
    String RPC_IDENTIFIER = "Identifier";

    /**
     * Comment for <code>MESSAGE</code>
     */
    String MESSAGE = "MESSAGE";

    /**
     * Comment for <code>USERNAME</code>
     */
    String USERNAME = "USERNAME";

    /**
     * defined as "CurrentMapContext"
     */
    String CURRENTMAPCONTEXT = "CurrentMapContext";

    /**
     * Comment for <code>DEFAULTMAPCONTEXT</code>
     */
    String DEFAULTMAPCONTEXT = "DefaultMapContext";

    /**
     * defined as "USERREPOSITORY"
     */
    String USERREPOSITORY = "USERREPOSITORY";

    /**
     * defined as "DOWNLOAD_DIR"
     */
    String DOWNLOADDIR = "DOWNLOAD_DIR";

}
